import product_en_US from '@locale/lanres/entities/product/product_en_US';
import components_en_US from '@locale/lanres/components/components_en_US';
import codelist_en_US from '@locale/lanres/codelist/codelist_en_US';
import userCustom_en_US from '@locale/lanres/userCustom/userCustom_en_US';

export default {
    app: {
        commonWords:{
            error: 'Error',
            success: 'Success',
            ok: 'OK',
            cancel: 'Cancel',
        },
        gridpage: {
            choicecolumns: 'Choice columns',
            refresh: 'refresh',
            show: 'Show',
            records: 'records',
            totle: 'totle',
        },
        tabpage: {
            sureclosetip: {
                title: 'Close warning',
                content: 'Form data Changed, are sure close?',
            },
            closeall: 'Close all',
            closeother: 'Close other',
        },
        fileUpload: {
            caption: 'Upload',
        },
        searchButton: {
            search: 'Search',
            reset: 'Reset',
        },
        calendar:{
          today: 'today',
          month: 'month',
          week: 'week',
          day: 'day',
          list: 'list',
          dateSelectModalTitle: 'select the time you wanted',
          gotoDate: 'goto',
        },
        // 非实体视图
        views: {
            central: {
                caption: '企业中心',
                title: '企业中心',
            },
        },
        utilview:{
            importview:"Import Data",
            warning:"warning",
            info:"Please configure the data import item"    
        },
        menus: {
            central: {
                user_menus: '用户菜单',
                menuitem3: '设置',
                menuitem4: '注销',
                top_menus: '顶部菜单',
                menuitem6: '操作日志',
                left_exp: '左侧导航',
                menuitem1: '产品管理',
                menuitem2: '客户',
                menuitem5: '统计分析',
                bottom_exp: '底部内容',
                footer_left: '底部左侧',
                footer_center: '底部中间',
                footer_right: '底部右侧',
            },
        },
    },
    entities: {
        product: product_en_US,
    },
    components: components_en_US,
    codelist: codelist_en_US,
    userCustom: userCustom_en_US,
};