import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "productgridview": {
            "title": "product表格视图",
            "caption": "产品",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "ProductGridView",
            "viewtag": "314a2bd00356d4c4523d4510ad0ca055"
        },
        "central": {
            "title": "应用首页视图",
            "caption": "企业中心",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "Central",
            "viewtag": "C52BC31D-D473-4EEF-A24E-B60E91F4B764"
        },
        "producteditview": {
            "title": "product编辑视图",
            "caption": "产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Product",
            "viewname": "ProductEditView",
            "viewtag": "f66adb6cde916c7c4efbba4078660506"
        }
    }];
});